var map;    //When using event as a parameter to a function declare map, strictly as a global variable
var markersArray = []; //to clear the previous markers

loadScript = function()
{
    var scriptDiv = document.getElementById("script_div");
    var scriptNode = document.createElement("script"); 
    scriptNode.type = "text/javascript";
    scriptNode.src = "http://maps.google.com/maps/api/js?sensor=false&callback=initialize";	
    scriptDiv.appendChild(scriptNode);
}

initialize = function()
{
	var myLatlng = new google.maps.LatLng(38.898506, -77.036677);
	map = new google.maps.Map(document.getElementById("map_canvas"),
	{
		zoom: 12,
		center: myLatlng,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	});


	google.maps.event.addListener(map, 'click', function(event)
	{
		placeMarker(event.latLng);
	});
}
 
placeMarker = function(location)
{
    deleteOverlays();

    var marker = new google.maps.Marker(
    {
        position: location,
        map: map
    });
    markersArray.push(marker);

    var coords= location.lat().toFixed(6) + ', ' + location.lng().toFixed(6);
    document.getElementById("points").value = coords;
	NitroApplication.getForm('F_Form1').getBO().F_SingleLine.setValue(coords);
	}

// Deletes all markers in the array by removing references to them
deleteOverlays = function() {
  if (markersArray) {
    for (i in markersArray) {
      markersArray[i].setMap(null);
    }
    markersArray.length = 0;
  }
}